Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWindowListener

public interface IWindowListener

Interface for listening to window lifecycle events.

This interface may be implemented by clients.

Method Summary
`void` | `windowActivated(IWorkbenchWindow window)` Notifies this listener that the given window has been activated.
`void` | `windowClosed(IWorkbenchWindow window)` Notifies this listener that the given window has been closed.
`void` | `windowDeactivated(IWorkbenchWindow window)` Notifies this listener that the given window has been deactivated.
`void` | `windowOpened(IWorkbenchWindow window)` Notifies this listener that the given window has been opened.

Method Detail

### windowActivated

    public void windowActivated(IWorkbenchWindow window)

  Notifies this listener that the given window has been activated.

  Parameters:
    `window` - the window that was activated

### windowDeactivated

    public void windowDeactivated(IWorkbenchWindow window)

  Notifies this listener that the given window has been deactivated.

  Parameters:
    `window` - the window that was activated

### windowClosed

    public void windowClosed(IWorkbenchWindow window)

  Notifies this listener that the given window has been closed.

  Parameters:
    `window` - the window that was closed
  See Also:
    `IWorkbenchWindow.close()`

### windowOpened

    public void windowOpened(IWorkbenchWindow window)

  Notifies this listener that the given window has been opened.

  Parameters:
    `window` - the window that was opened
  See Also:
    `IWorkbench.openWorkbenchWindow(java.lang.String, org.eclipse.core.runtime.IAdaptable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.